# -*- rpm-spec -*-
# $Id: lavaps,v 1.2 2002/09/26 15:51:46 lioka Exp $

Name: lavaps
Version: 1.20
Release: alt2

Summary: lavaps -- a lava lamp of currently running processes
License: GPL
Group: Toys

Source: http://www.isi.edu/~johnh/SOFTWARE/LAVAPS/%name-%version.tar.bz2
Url: http://www.isi.edu/~johnh/SOFTWARE/LAVAPS/
Source1: %name.xpm

Summary(ru_RU.KOI8-R): lavaps --   
Summary(uk_UA.KOI8-U): lavaps -- צ  Ӧ

BuildRequires: XFree86-devel XFree86-libs gcc-c++ libstdc++-devel tcl-devel >= 8.4.0-alt1 tk-devel >= 8.4.0-alt1

%description
Lavaps is an interactive process-tracking program like ``top'', but
with a much different attitude.  Rather than presenting lots of
specific info in digital form, it tries to present certain important
information in a graphical analog form.  The idea is that you can run
it in the background and get a rough idea of what's happening to your
system without devoting much concentration to the task.

%description -l ru_RU.KOI8-R
Lavaps --      
top,      ,  ""  
.

%description -l uk_UA.KOI8-U
Lavaps --   צ̦  Ӧ   top,
   צ Φ,  "צ"  Ʀ Ħ.

%prep
%setup -q

%build
%__subst 's|\(^DEFS = \)|\1-DUSE_NON_CONST |' Makefile.in
%configure
%make_build

%__cat > %name.menu << EOF
?package(%name): needs="X11" section="Applications/Monitoring" \
title="lavaps" longtitle="Lava PS" \
command="%_bindir/%name" icon="%name.xpm"
EOF

%install
%makeinstall
%__install -pD -m644 %name.menu %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE1 %buildroot%_iconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc README COPYING
%_bindir/*
%_man1dir/*
%_menudir/*
%_iconsdir/*

%changelog
* Thu Sep 26 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.20-alt2
- rebuilt with tcl 8.4

* Tue Jul 23 2002 Michael Shigorin <mike@altlinux.ru> 1.20-alt1
- built for ALT Linux
